
from RoadCentre import plugins, project, kernel
from menu import Menu
from net329 import DetectorMenu, RouteMenu
import os

if hasattr(plugins,'Net329gPlugin'):
    networks_path=os.path.join(project.baseDir,'net329')
    has_networks = False
    for dirpath, dirnames, filenames in os.walk(networks_path):
        for name in filenames:
            if os.path.splitext(name)[-1] not in ('.n329', '.n329a'):
                continue
            has_networks |= plugins.Net329gPlugin.loadNet329(os.path.join(dirpath, name),kernel.graphicsScene,project)
    if has_networks:
        if hasattr(plugins,'RcdViewPlugin'):
            Menu.devClassMenus['QGraphicsItem%d'%65540]=DetectorMenu()
        Menu.devClassMenus['QGraphicsItem%d'%65552]=RouteMenu()
